ClassicPress logo
Skip to content
Filter by type:

Browse:

  • Home
  • ClassicPress
  • Page 70

rest_prepare_menu_location

Filter Hook: Filters menu location data returned from the REST API.

Source: wp-includes/rest-api/endpoints/class-wp-rest-menu-locations-controller.php:209

Used by 1 function | Uses 0 functions

WP_REST_Search_Controller::get_items()

Method: Retrieves a collection of search results.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:127

Used by 0 functions | Uses 2 functions

WP_REST_Search_Controller::prepare_item_for_response()

Method: Prepares a single search result for response.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:195

Used by 1 function | Uses 1 function

WP_REST_Search_Controller::get_item_schema()

Method: Retrieves the item schema, conforming to JSON Schema.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:231

Used by 0 functions | Uses 0 functions

WP_REST_Search_Controller::get_collection_params()

Method: Retrieves the query params for the search results collection.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:300

Used by 1 function | Uses 0 functions

WP_REST_Search_Controller::sanitize_subtypes()

Method: Sanitizes the list of subtypes, to ensure only subtypes of the passed type are included.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:365

Used by 0 functions | Uses 1 function

WP_REST_Search_Controller::get_search_handler()

Method: Gets the search handler to handle the current request.

Source: wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php:394

Used by 3 functions | Uses 0 functions

WP_REST_Taxonomies_Controller::prepare_links()

Method: Prepares links for the request.

Source: wp-includes/rest-api/endpoints/class-wp-rest-taxonomies-controller.php:301

Used by 1 function | Uses 0 functions

WP_REST_Revisions_Controller::prepare_items_query()

Method: Determines the allowed query_vars for a get_items() response and prepares them for WP_Query.

Source: wp-includes/rest-api/endpoints/class-wp-rest-revisions-controller.php:513

Used by 1 function | Uses 2 functions

WP_REST_Comments_Controller::check_is_comment_content_allowed()

Method: If empty comments are not allowed, checks if the provided comment content is not empty.

Source: wp-includes/rest-api/endpoints/class-wp-rest-comments-controller.php:1902

Used by 1 function | Uses 1 function
« Previous 1 … 69 70 71 … 851 Next »
ClassicPress Documentation • Made with ClassicPress
Privacy Policy